Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.util
Class ArrayWrapper<E>

    java.lang.Object
      edu.stanford.nlp.util.ArrayWrapper<E>

    public class ArrayWrapper<E>

extends Object

Wraps an array. The only advantage of this class is that hashCode() hashes the elements of the array.

Author:
  Michel Galley

Constructor Summary
`ArrayWrapper(E... arr)`

Method Summary
`boolean` | `equals(Object o)` StringArrays are equal if they contain the same elements.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayWrapper

    public ArrayWrapper(E... arr)

Method Detail

### equals

    public boolean equals(Object o)

  StringArrays are equal if they contain the same elements.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group